Whats91
Developers

Read wallet credit and debit transaction history.

Wallet History

Summary

Read wallet credit and debit transaction history.

Prerequisites

  • Authorization: Bearer w91_live_xxx
  • Content-Type: application/json for JSON requests

Endpoint: GET /api/v2/billing/wallet/history. Wallet history supports pagination, date filters, and transactionType=credit|debit.

GET/api/v2/billing/wallet/history
ParameterTypeRequiredDescription
pagenumberOptionalPositive integer. Default 1.
limitnumberOptionalPositive integer. Default 50, max 200.
dateFromstringOptionalYYYY-MM-DD start date.
dateTostringOptionalYYYY-MM-DD end date.
transactionTypestringOptionalcredit or debit.
Wallet transaction history
curl "https://graph.whats91.com/api/v2/billing/wallet/history?transactionType=debit&limit=50" \
  -H "Authorization: Bearer w91_live_xxx"
Wallet history response
{
  "success": true,
  "message": "Wallet history retrieved",
  "data": {
    "transactions": [
      {
        "transactionUid": "txn_uid",
        "transactionType": "debit",
        "amount": 0.115,
        "currency": "INR",
        "referenceType": "message_billing",
        "createdAt": "2026-06-05T08:00:02.000Z"
      }
    ],
    "pagination": {
      "page": 1,
      "limit": 50,
      "total": 1,
      "hasMore": false
    }
  }
}

SDK Examples

Use these examples as starting points for server-side implementations.

cURL
curl -X GET "https://graph.whats91.com/api/v2/billing/wallet/history" \
  -H "Authorization: Bearer w91_live_xxx"
Node.js
const response = await fetch("https://graph.whats91.com/api/v2/billing/wallet/history", {
  method: "GET",
  headers: {
    "Authorization": "Bearer w91_live_xxx",
    "Content-Type": "application/json"
  }
});

const data = await response.json();
console.log(data);
PHP
$ch = curl_init("https://graph.whats91.com/api/v2/billing/wallet/history");
curl_setopt_array($ch, [
  CURLOPT_CUSTOMREQUEST => "GET",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_HTTPHEADER => [
    "Authorization: Bearer w91_live_xxx",
    "Content-Type: application/json"
  ]
]);

$response = curl_exec($ch);
curl_close($ch);
echo $response;
Python
import requests

response = requests.request(
    "GET",
    "https://graph.whats91.com/api/v2/billing/wallet/history",
    headers={
        "Authorization": "Bearer w91_live_xxx",
        "Content-Type": "application/json",
    }
)

print(response.json())
C#
using var client = new HttpClient();
client.DefaultRequestHeaders.Add("Authorization", "Bearer w91_live_xxx");

var request = new HttpRequestMessage(HttpMethod.Get, "https://graph.whats91.com/api/v2/billing/wallet/history");

var response = await client.SendAsync(request);
Console.WriteLine(await response.Content.ReadAsStringAsync());

Related APIs